'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.promptStart = promptStart;
exports.promptEnd = promptEnd;
exports.prompt = prompt;
/* eslint no-console: ["error", {"allow": ["log", "warn", "error"]}] */

var g_stdinResolver = null;

function processStdin(data) {
  if (g_stdinResolver) g_stdinResolver(data.toString());
}

function promptStart() {
  process.stdin.on('data', processStdin);
}

function promptEnd() {
  process.stdin.end();
  g_stdinResolver = null;
}

function prompt(msg) {
  process.stdin.resume();
  process.stdout.write(msg + ' ');
  return new Promise(function (resolve) {
    g_stdinResolver = resolve;
  });
}