/* eslint no-console: ["error", {"allow": ["log", "warn", "error"]}] */

export default class Logger {
  constructor(argv) {
    this.argv = argv;
    this.log = this.log.bind(this);
  }

  log(level, msg) {
    switch (level) {
      case 1:
        console.error(msg);
        break;
      case 2:
        console.warn(msg);
        break;
      case 3:
        console.log(msg);
        break;
      default:
        if (this.argv.verbose)
          console.log(msg);
    }
  }
}
